Debian Bug report logs - #646272
istgt: ftbs with ld --as-needed

version graph

Package: istgt; Maintainer for istgt is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for istgt is src:istgt.

Reported by: Julian Taylor <jtaylor.debian@googlemail.com>

Date: Sat, 22 Oct 2011 19:15:02 UTC

Owned by: Arno Töll <debian@toell.net>

Severity: wishlist

Tags: patch

Found in version istgt/0.4~20110928-1

Fixed in version istgt/0.4~20111008-2

Done: Arno Töll <arno@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#646272; Package istgt. (Sat, 22 Oct 2011 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 22 Oct 2011 19:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: istgt: ftbs with ld --as-needed
Date: Sat, 22 Oct 2011 21:10:20 +0200
[Message part 1 (text/plain, inline)]
Package: istgt
Version: 0.4~20110928-1
Severity: wishlist
Tags: patch
User: debian-gcc@lists.debian.org
Usertags: ld-as-needed

istgt fails to build with ld --as-needed.
With this flag objects needing symbols must be placed after libraries
providing them.
Else libraries will not be registered as needed, dropped and one gets
undefined references.

Attached a patch that fixes this issue by moving the LIBS variable in
src/Makefile.in to the correct position.
thanks for considering the patch.

[fix-as-needed-build.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Owner recorded as Arno Töll <debian@toell.net>. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Thu, 27 Oct 2011 00:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#646272; Package istgt. (Thu, 27 Oct 2011 17:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 27 Oct 2011 17:51:07 GMT) Full text and rfc822 format available.

Message #12 received at 646272@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: control@bugs.debian.org, 646272@bugs.debian.org
Subject: Re: istgt: ftbs with ld --as-needed
Date: Thu, 27 Oct 2011 19:48:34 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tags 646272 +pending
thanks

Hello Julian,

thanks for your patch. I commited it earlier today. Moreover, I will
forward it upstream. The next upload will feature your patch.
	
- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOqZlyAAoJEMcrUe6dgPNto/kQAMAV7pNMmCQFZZNAMHaEJ35D
QVaOD6NBt3juMoWCp3kKTrT5Nw0OCyRb+QYBhCXGVBeqptgMm999CMDgb3K28fir
2dk6/MpvSpyOgjGTJXYENN91ytMBec9tYlK1CRtL4iQxyvGekNBSN9uU9BiDr+kY
pnwD5CtASYnJ7thoLjgjm1azVs0uY3WPamQzZcn8KHLAQTY8gahT7Undy+M+LNPu
blcnVuOvqRk15+XozfieZpf64ZEczJNpoSnZfdC6Ek9ySKqgb3Wq6vAKxFd1TWKW
lArG/hoLn7hAbLWqrsIH1FtNKQvIV8oLn6avx654+wSIRH6LdiLTaNCFpRzHWX0D
TFqU8tOzwnRzhPJZno4iPRgCzkMSpS+5NsyAWniuWDyD0xQIYTZONNXCnEbpxatG
ePqcPVP481bnZym0f46/zoBRPutHXFK3h0tDxkfZ13ckh0OglozPRbBLmxq7x5n4
1fVvl5YCfAc7VTySktrlZY0YiDi6R+CcNbSNRUECIj1JuOknFBtIWU+wkztMrCxe
pc8vY6h9fexwv4qKzlTZIdc6Dt9H6d2xsBRx7dZah1bC/S12MzMJY6kM/t2Jd8Kd
yMl3COPKFtquvgmqFs6jr6H1U8NQTdJqm/1i6i3X9rOmFpFrH8yXes+M58LQewQ6
AEsQMW8eybF43DVM6JhK
=9uaV
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Thu, 27 Oct 2011 17:51:09 GMT) Full text and rfc822 format available.

Reply sent to Arno Töll <arno@debian.org>:
You have taken responsibility. (Sat, 31 Mar 2012 15:51:15 GMT) Full text and rfc822 format available.

Notification sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Bug acknowledged by developer. (Sat, 31 Mar 2012 15:51:15 GMT) Full text and rfc822 format available.

Message #19 received at 646272-close@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: 646272-close@bugs.debian.org
Subject: Bug#646272: fixed in istgt 0.4~20111008-2
Date: Sat, 31 Mar 2012 15:49:46 +0000
Source: istgt
Source-Version: 0.4~20111008-2

We believe that the bug you reported is fixed in the latest version of
istgt, which is due to be installed in the Debian FTP archive:

istgt_0.4~20111008-2.debian.tar.gz
  to main/i/istgt/istgt_0.4~20111008-2.debian.tar.gz
istgt_0.4~20111008-2.dsc
  to main/i/istgt/istgt_0.4~20111008-2.dsc
istgt_0.4~20111008-2_amd64.deb
  to main/i/istgt/istgt_0.4~20111008-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646272@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arno Töll <arno@debian.org> (supplier of updated istgt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 31 Mar 2012 17:13:43 +0200
Source: istgt
Binary: istgt
Architecture: source amd64
Version: 0.4~20111008-2
Distribution: sid
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Arno Töll <arno@debian.org>
Description: 
 istgt      - iSCSI userspace target daemon for Unix-like operating systems
Closes: 646272 650217
Changes: 
 istgt (0.4~20111008-2) unstable; urgency=low
 .
   * Fix "istgt: ftbs with ld --as-needed" - apply patch which shifts libraries
     in the compiler line after object files. Thanks Julian Taylor
     (Closes: #646272)
   * Fix "ftbfs on squeeze" Add missing build-dependency to dpkg-dev 1.16.1 which
     is required to build the package because we're using dpkg-buildflags to
     generate configure flags. That's guaranteed for Testing, but might be
     helpful to know for backporters. (Closes: #650217)
   * Push standards version to 3.9.3.1 - no further changes required
   * Drop the DMUA field - I don't need it anymore, update my maintainer address
Checksums-Sha1: 
 7591140c9312d21965daf0b4261d78a69df6fe17 2038 istgt_0.4~20111008-2.dsc
 ab0f0cd32bbb72034ed0ae73a2643f213bd26851 8954 istgt_0.4~20111008-2.debian.tar.gz
 6caab784e1a8079029e90c43db748d435c113976 172060 istgt_0.4~20111008-2_amd64.deb
Checksums-Sha256: 
 ce242d26819e461b9ee4be9bf16814284c976aaaf15bc46f336fa2ca21afc765 2038 istgt_0.4~20111008-2.dsc
 bb691962781e4be9e5af4af508670331981cc676374f3ace455450521ef9e518 8954 istgt_0.4~20111008-2.debian.tar.gz
 57ae1093872c688a050b06b06313c9ea8d2af27bd0dad562c5ee0958c6fc7162 172060 istgt_0.4~20111008-2_amd64.deb
Files: 
 e207b53c96724ee5bf062f0323d82c8c 2038 admin extra istgt_0.4~20111008-2.dsc
 3064b96240c2b85fb336aaa1e0acb3d4 8954 admin extra istgt_0.4~20111008-2.debian.tar.gz
 b35ad763a8e216b9024c81403e6c64a0 172060 admin extra istgt_0.4~20111008-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPdyTeAAoJEMcrUe6dgPNtWtAP/ixt7B7ePSE6uZRaEfkXuqBn
wvKmMZ/DCwA5GRfvtl9YBsiKZYGvFkqKpI4VibjGGjyReBYqdlOB8BTDIWizSnY2
VBeTLdVwxw+raPiwF6BYias9cjB1m9HzWWaTAo0+Lxqn6HDh0P5WgAXAO0tkCTAm
HYSBrHJVxsJmXjCu3pbr4gbckQIP3hy8BGmHLck3z63I1sVtSsvVx7+J2BoSlQbD
n+ol71buSNt8oQ1wG3B0D7tLqc2F14xoZWGYeuRlYCu7M7fFGYSfdxDMzYIvHjrA
B7670P66s/E3XLdJHCAll3coYPEFiq3apn616LyxDR0nKy+/6ZPBbXWrCnpuDMwW
N4yyQSAN+ObPHwjad8TWVD0TWTQb28sILCB0mj+mIw631+eDk6zv/5NBmfA2vK+/
4jg/8HJ7QvjlLKOMJgyLzZekZjMPa49iUTZCvEVOXtdATNBjXMSJ/yiu+2HRbNVB
jbpZbX4b4uqZxzSL+qUPwFhVqTQ67S87OxFHfg9C6VkeANQuAz5LtXI3/6KXCk+k
GJXx6nFk6nzYK21hWBuPDcoySzWekefM3U5JBHzxQKW0HaVrB/VAMFegcxIek0Ax
uSeY9OgMBBgl+Rz/7bdqCSIJ2ELcvSjak5sBFP6tXepLZaZ3lu9PAQIOLkF+ASBn
jCmHARYERiKCiVIIdBWF
=d3Ar
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 May 2012 07:43:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:30:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.